/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/XML.h"

namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "XML::indent"
  std::string XML::indent (uint32_t depth)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    std::string _return = std::string(depth,'\t');
    log_printf(FUNC,Behavioural,FUNCTION,"End");

    return _return;
  };

  std::string XML::indent (void)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    std::string _return = indent(depth());
    log_printf(FUNC,Behavioural,FUNCTION,"End");

    return _return;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
